Dropbox and older ipad sync

edited November 2017 in iOS

using 1password standalone v4 windows. 4 ios devices, 3 of them on ios 11. 1 legacy iPad that is on 10.3.3. The 3 devices on ios 11 work just fine with dropbox sync in ios11 and the windows computer.

I use WLAN sync at the moment for the older ipad(had to get the dropbox password somehow). Getting dropbox error 400 when trying to access additional vault via dropbox on legacy ipad. Dropbox is the preferred sync method and is method used for all other devices. Is this a function of the older dropbox API or the older 1password version using the older API or something else? Thank you for any help

I also tried not installing dropbox and logging in from the web prompt with the same result. Guessing that means the version of 1password for ios 10.3.3 uses the older version of the dropbox API and cannot be used for syncing vaults? the Dropbox version is 72.2.2 in iOS


1Password Version: 6.45
Extension Version: Not Provided
OS Version: 10.3.3
Sync Type: wlan

Comments

  • brentybrenty

    Team Member

    @yelladog_superjet: Thanks for reaching out. I’m sorry for the confusion! Apps like 1Password cannot use the Dropbox app to sync on iOS; they have to support its APIs themselves. Dropbox changed their APIs earlier this year, and we updated 1Password for iOS to use the new ones in version 6.7 (released in May). Any version prior to that will not be able to connect to Dropbox to sync data. It sounds like you have version 6.4.5 installed, but I'm not sure why you'd be using that. Are you not seeing an update in the App Store?

  • I dont remember which ipad it is, but its a very much legacy one. It does not have touch id and cannot be updated to ios 11. ios 10.3.3 is the latest it will run and we did not see an update for 1 password in the app store. Should all devices running 10.3.3 be able to install a version later than 6.4.5? Looking forward to 1password 7 for windows btw.

  • BenBen AWS Team

    Team Member

    iOS 10.3.3 can run 1Password 6.9.1 for iOS. I don’t recall any further device limitations beyond iOS version. Could you please try opening the App Store then selecting Updates > tap the icon in the upper right corner > Purchased > locate 1Password and try to update it from there?

    Thanks.

    Ben

  • brentybrenty

    Team Member

    @yelladog_superjet: Apple has a support article that I find helpful, especially when navigating this across different devices:

    https://support.apple.com/en-us/HT201272#apps

    You can download the latest supported version for a device that way, but only if it has already been "purchased" — so it may be necessary to do so from another device (like a Mac) since Apple will not allow you to purchase iOS-11-requiring 1Password 7 on a device running iOS 10. Cheers! :)

  • I am also syncing a database between an iMac, an iPhone and iPad. The iPad2 is only running IOS 9.3.5 and I have 1Password v 5.5 for iPad installed. What would be my best sync server be; iCloud, Dropbox or other?

    I'm currently using Dropbox but that seems to not work anymore for the older iPad version. Please advise.

    Thanks,
    -- AJD

    (As an aside - Is there a way to get the 1Password version 6 onto my iPad?)

  • BenBen AWS Team

    Team Member

    Hi @ajdimac,

    1Password 6.0 will run on iOS 9.3 or later. Please see above for how to install it.

    Dropbox requires 1Password 6.7 for iOS. If you cannot run that version then iCloud may be your best bet, but it is only a matter of time before they too update and require newer versions. It may be time to look into a newer iPad. :frown:

    Ben

Leave a Comment

BoldItalicStrikethroughOrdered listUnordered list
Emoji
Image
Align leftAlign centerAlign rightToggle HTML viewToggle full pageToggle lights
Drop image/file